#include <iostream>

using namespace std;

int main()
{
    long long n,k,t=0,p=0,y=0,f=0;
    cin>>n>>k;
    long long a[n],b[n];
    for(long long i=0;i<n;i++){
        cin>>a[i];
    }
    for(long long i=0;i<n;i++){
        for(long long j=0;j<n;j++){
            if(a[j]==a[i]){
                t++;
            }
        }
        if(t>=k){
           for(long long z=0;z<y;z++){
                if(b[z]==a[i]){
                   f=1;
                }
           }
           if(f==1){
            continue;
           }
           else{
            b[y]=a[i];
            y++;
           }
           f=0;
        }
        t=0;
    }
    cout<<y<<endl;;
    for(long long i=0;i<y;i++){
        cout<<b[i]<<" ";
    }
    return 0;
}